TeePayDocs
API ReferenceCollections

Get a collection

GET
/v1/collections/{reference}

One collection by its public_reference. Poll this after creating a mobile money payment until status is succeeded or failed. Requires collection:read.

Authorization

BearerAuth
headerAuthorizationBearer <token>

Secret API key: tp_test_. or tp_live_.. Server-side only.

Path Parameters

reference*string
Match^[A-Za-z0-9_-]{1,128}$

Response Body

Transaction

application/json
  1. response
id*string
public_reference?string
operation*unknown
Value in"charge""payout"
status*unknown
Value in"created""pending""processing""succeeded""failed""reversed""refunded"
status_detail?string
money*
created_at*string
Formatdate-time
updated_at*string
Formatdate-time
customer_name?string
customer_phone?string
method?string
channel?string
source?string
fee?
net?
Example Request
curl -X GET 'https://api.teepay.me/v1/collections/TP8K2M4QZ1'
Example Response
{  "id": "string",  "public_reference": "string",  "operation": "charge",  "status": "created",  "status_detail": "string",  "money": {    "amount_minor": 0,    "currency": "string"  },  "created_at": "2019-08-24T14:15:22Z",  "updated_at": "2019-08-24T14:15:22Z",  "customer_name": "string",  "customer_phone": "string",  "method": "string",  "channel": "string",  "source": "string",  "fee": {    "amount_minor": 0,    "currency": "string"  },  "net": {    "amount_minor": 0,    "currency": "string"  }}